<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:31 CEST 2019 -->
<title>FBTpbMapper (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBTpbMapper (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":9,"i7":9,"i8":10,"i9":9,"i10":9,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBStatement.StatementResult.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBTpbMapper.html" target="_top">Frames</a></li>
<li><a href="FBTpbMapper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class FBTpbMapper" class="title">Class FBTpbMapper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.FBTpbMapper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBTpbMapper</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a></pre>
<div class="block">This class is provides mapping capabilities between standard JDBC
 transaction isolation level and Firebird Transaction Parameters Block (TPB).</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#org.firebirdsql.jdbc.FBTpbMapper">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#TRANSACTION_NONE">TRANSACTION_NONE</a></span></code>
<div class="block">Indicates that transactions are not supported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#TRANSACTION_READ_COMMITTED">TRANSACTION_READ_COMMITTED</a></span></code>
<div class="block">Dirty reads are prevented; non-repeatable reads and phantom reads can
 occur.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#TRANSACTION_READ_UNCOMMITTED">TRANSACTION_READ_UNCOMMITTED</a></span></code>
<div class="block">Dirty reads, non-repeatable reads and phantom reads can occur.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#TRANSACTION_REPEATABLE_READ">TRANSACTION_REPEATABLE_READ</a></span></code>
<div class="block">Dirty reads and non-repeatable reads are prevented; phantom reads can
 occur.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#TRANSACTION_SERIALIZABLE">TRANSACTION_SERIALIZABLE</a></span></code>
<div class="block">Dirty reads, non-repeatable reads and phantom reads are prevented.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#FBTpbMapper--">FBTpbMapper</a></span>()</code>
<div class="block">Create instance of this class with the default mapping of JDBC
 transaction isolation levels to Firebird TPB.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#FBTpbMapper-java.util.Map-">FBTpbMapper</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;stringMapping)</code>
<div class="block">Create instance of this class for the specified string mapping.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#FBTpbMapper-java.lang.String-java.lang.ClassLoader-">FBTpbMapper</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;mappingResource,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassLoader.html?is-external=true" title="class or interface in java.lang">ClassLoader</a>&nbsp;cl)</code>
<div class="block">Create instance of this class and load mapping from the specified
 resource.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#clone--">clone</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html" title="class in org.firebirdsql.jdbc">FBTpbMapper</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#getDefaultMapper--">getDefaultMapper</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#getDefaultMapping--">getDefaultMapping</a></span>()</code>
<div class="block">Get default mapping.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#getDefaultTransactionIsolation--">getDefaultTransactionIsolation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#getMapping-int-">getMapping</a></span>(int&nbsp;transactionIsolation)</code>
<div class="block">Get mapping for the specified transaction isolation level.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#getTransactionIsolationLevel-java.lang.String-">getTransactionIsolationLevel</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;isolationName)</code>
<div class="block">Convert transaction isolation level name into a corresponding constant.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#getTransactionIsolationName-int-">getTransactionIsolationName</a></span>(int&nbsp;isolationLevel)</code>
<div class="block">Convert transaction isolation level into string.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#processMapping-org.firebirdsql.jdbc.FirebirdConnectionProperties-java.util.Properties-">processMapping</a></span>(<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>&nbsp;connectionProperties,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;info)</code>
<div class="block">This method extracts TPB mapping information from the connection
 parameters and adds it to the connectionProperties.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#processMapping-java.lang.String-">processMapping</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;mapping)</code>
<div class="block">Process comma-separated list of keywords and convert them into TPB
 values.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#setDefaultTransactionIsolation-int-">setDefaultTransactionIsolation</a></span>(int&nbsp;isolationLevel)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html#setMapping-int-org.firebirdsql.gds.TransactionParameterBuffer-">setMapping</a></span>(int&nbsp;transactionIsolation,
          <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</code>
<div class="block">Set mapping for the specified transaction isolation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TRANSACTION_SERIALIZABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSACTION_SERIALIZABLE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRANSACTION_SERIALIZABLE</pre>
<div class="block">Dirty reads, non-repeatable reads and phantom reads are prevented. This
 level includes the prohibitions in TRANSACTION_REPEATABLE_READ and
 further prohibits the situation where one transaction reads all rows that
 satisfy a WHERE condition, a second transaction inserts a row that
 satisfies that WHERE condition, and the first transaction rereads for the
 same condition, retrieving the additional "phantom" row in the second
 read.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBTpbMapper.TRANSACTION_SERIALIZABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRANSACTION_REPEATABLE_READ">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSACTION_REPEATABLE_READ</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRANSACTION_REPEATABLE_READ</pre>
<div class="block">Dirty reads and non-repeatable reads are prevented; phantom reads can
 occur. This level prohibits a transaction from reading a row with
 uncommitted changes in it, and it also prohibits the situation where one
 transaction reads a row, a second transaction alters the row, and the
 first transaction rereads the row, getting different values the second
 time (a "non-repeatable read").</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBTpbMapper.TRANSACTION_REPEATABLE_READ">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRANSACTION_READ_COMMITTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSACTION_READ_COMMITTED</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRANSACTION_READ_COMMITTED</pre>
<div class="block">Dirty reads are prevented; non-repeatable reads and phantom reads can
 occur. This level only prohibits a transaction from reading a row with
 uncommitted changes in it.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBTpbMapper.TRANSACTION_READ_COMMITTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRANSACTION_READ_UNCOMMITTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSACTION_READ_UNCOMMITTED</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRANSACTION_READ_UNCOMMITTED</pre>
<div class="block">Dirty reads, non-repeatable reads and phantom reads can occur. This level
 allows a row changed by one transaction to be read by another transaction
 before any changes in that row have been committed (a "dirty read"). If
 any of the changes are rolled back, the second transaction will have
 retrieved an invalid row. <b>This level is not actually supported </b></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBTpbMapper.TRANSACTION_READ_UNCOMMITTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRANSACTION_NONE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TRANSACTION_NONE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRANSACTION_NONE</pre>
<div class="block">Indicates that transactions are not supported. <b>This level is not
 supported </b></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBTpbMapper.TRANSACTION_NONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBTpbMapper--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBTpbMapper</h4>
<pre>public&nbsp;FBTpbMapper()</pre>
<div class="block">Create instance of this class with the default mapping of JDBC
 transaction isolation levels to Firebird TPB.</div>
</li>
</ul>
<a name="FBTpbMapper-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBTpbMapper</h4>
<pre>public&nbsp;FBTpbMapper(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;stringMapping)
            throws <a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></pre>
<div class="block">Create instance of this class for the specified string mapping.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stringMapping</code> - mapping of JDBC transaction isolation to Firebird
 mapping. Keys and values of this map must be strings. Keys can have
 following values:
 <ul>
 <li><code>"TRANSACTION_SERIALIZABLE"</code>
 <li><code>"TRANSACTION_REPEATABLE_READ"</code>
 <li><code>"TRANSACTION_READ_COMMITTED"</code>
 <li><code>"TRANSACTION_READ_UNCOMMITTED"</code>
 </ul>
 Values are specified as comma-separated list of following keywords:
 <ul>
 <li><code>"isc_tpb_consistency"</code>
 <li><code>"isc_tpb_concurrency"</code>
 <li><code>"isc_tpb_read_committed"</code>
 <li><code>"isc_tpb_rec_version"</code>
 <li><code>"isc_tpb_no_rec_version"</code>
 <li><code>"isc_tpb_wait"</code>
 <li><code>"isc_tpb_nowait"</code>
 <li><code>"isc_tpb_read"</code>
 <li><code>"isc_tpb_write"</code>
 <li><code>"isc_tpb_lock_read"</code>
 <li><code>"isc_tpb_lock_write"</code>
 <li><code>"isc_tpb_shared"</code>
 <li><code>"isc_tpb_protected"</code>
 </ul>
 It is also allowed to strip "isc_tpb_" prefix from above shown constans.
 Meaning of these constants and possible combinations you can find in a
 documentation.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></code> - if mapping contains incorrect values.</dd>
</dl>
</li>
</ul>
<a name="FBTpbMapper-java.lang.String-java.lang.ClassLoader-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBTpbMapper</h4>
<pre>public&nbsp;FBTpbMapper(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;mappingResource,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/ClassLoader.html?is-external=true" title="class or interface in java.lang">ClassLoader</a>&nbsp;cl)
            throws <a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></pre>
<div class="block">Create instance of this class and load mapping from the specified
 resource.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mappingResource</code> - name of the resource to load.</dd>
<dd><code>cl</code> - class loader that should be used to load specified resource.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></code> - if resource cannot be loaded or contains
         incorrect values.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefaultMapper--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultMapper</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html" title="class in org.firebirdsql.jdbc">FBTpbMapper</a>&nbsp;getDefaultMapper()</pre>
</li>
</ul>
<a name="getTransactionIsolationName-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionIsolationName</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTransactionIsolationName(int&nbsp;isolationLevel)</pre>
<div class="block">Convert transaction isolation level into string.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolationLevel</code> - transaction isolation level as integer constant.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>corresponding string representation.</dd>
</dl>
</li>
</ul>
<a name="getTransactionIsolationLevel-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionIsolationLevel</h4>
<pre>public static&nbsp;int&nbsp;getTransactionIsolationLevel(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;isolationName)</pre>
<div class="block">Convert transaction isolation level name into a corresponding constant.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isolationName</code> - name of the transaction isolation.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>corresponding constant.</dd>
</dl>
</li>
</ul>
<a name="processMapping-org.firebirdsql.jdbc.FirebirdConnectionProperties-java.util.Properties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMapping</h4>
<pre>public static&nbsp;void&nbsp;processMapping(<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>&nbsp;connectionProperties,
                                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;info)
                           throws <a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></pre>
<div class="block">This method extracts TPB mapping information from the connection
 parameters and adds it to the connectionProperties. Two formats are supported:
 <ul>
 <li><code>info</code> contains <code>"tpb_mapping"</code> parameter
 pointing to a resource bundle with mapping information;
 <li><code>info</code> contains separate mappings for each of following
 transaction isolation levels: <code>"TRANSACTION_SERIALIZABLE"</code>,
 <code>"TRANSACTION_REPEATABLE_READ"</code> and
 <code>"TRANSACTION_READ_COMMITTED"</code>.
 </ul></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectionProperties</code> - FirebirdConnectionProperties to set transaction state</dd>
<dd><code>info</code> - connection parameters passed into a driver.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></code> - if specified mapping is incorrect.</dd>
</dl>
</li>
</ul>
<a name="processMapping-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processMapping</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;processMapping(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;mapping)
                                                 throws <a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></pre>
<div class="block">Process comma-separated list of keywords and convert them into TPB
 values.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapping</code> - comma-separated list of keywords.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>set containing values corresponding to the specified keywords.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></code> - if mapping contains keyword that is not
         a TPB parameter.</dd>
</dl>
</li>
</ul>
<a name="getMapping-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapping</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;getMapping(int&nbsp;transactionIsolation)</pre>
<div class="block">Get mapping for the specified transaction isolation level.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionIsolation</code> - transaction isolation level.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>set with TPB parameters.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if specified transaction isolation level is unknown.</dd>
</dl>
</li>
</ul>
<a name="setMapping-int-org.firebirdsql.gds.TransactionParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapping</h4>
<pre>public&nbsp;void&nbsp;setMapping(int&nbsp;transactionIsolation,
                       <a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;tpb)</pre>
<div class="block">Set mapping for the specified transaction isolation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionIsolation</code> - transaction isolation level.</dd>
<dd><code>tpb</code> - TPB parameters.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if incorrect isolation level is specified.</dd>
</dl>
</li>
</ul>
<a name="getDefaultMapping--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultMapping</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;getDefaultMapping()</pre>
<div class="block">Get default mapping. Default mapping represents a TPB mapping for the
 default transaction isolation level (read committed).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mapping for the default transaction isolation level.</dd>
</dl>
</li>
</ul>
<a name="getDefaultTransactionIsolation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultTransactionIsolation</h4>
<pre>public&nbsp;int&nbsp;getDefaultTransactionIsolation()</pre>
</li>
</ul>
<a name="setDefaultTransactionIsolation-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultTransactionIsolation</h4>
<pre>public&nbsp;void&nbsp;setDefaultTransactionIsolation(int&nbsp;isolationLevel)</pre>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;clone()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBStatement.StatementResult.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBTpbMapper.html" target="_top">Frames</a></li>
<li><a href="FBTpbMapper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
